package com.bonus.core.pay.common.dto;

public class PayChannelSplitDTO {
   private Integer payType;
   private Integer payChannel;
   private String couponId;
   private Long canteenId;

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public String getCouponId() {
      return this.couponId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public void setCouponId(final String couponId) {
      this.couponId = couponId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }


   private PayChannelSplitDTO(final Integer payType, final Integer payChannel, final String couponId, final Long canteenId) {
      this.payType = payType;
      this.payChannel = payChannel;
      this.couponId = couponId;
      this.canteenId = canteenId;
   }

   public static PayChannelSplitDTO of(final Integer payType, final Integer payChannel, final String couponId, final Long canteenId) {
      return new PayChannelSplitDTO(payType, payChannel, couponId, canteenId);
   }
}
